using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace FaultTolerantWebService.Common.Configuration
{
    /// <summary>
    /// Collection de <see cref="ClassUri"/>
    /// </summary>
    [ConfigurationCollection(typeof(ClassUri), AddItemName = "add")]
    public class ClassUriCollection : ConfigurationElementCollection
    {
        protected override ConfigurationElement CreateNewElement()
        {
            return new ClassUri();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {

            return ((ClassUri)element).Uri + "|" + ((ClassUri)element).SoapClientClass;
        }
    }
}
