using System;
using System.Collections.Generic;
using System.Text;

namespace FaultTolerantWebService.Ui
{
    /// <summary>
    /// Classe qui permet s'assurer qu'un AppDomain est unload
    /// </summary>
    public class TempAppDomain : IDisposable
    {
        private AppDomain domain;

        public void Dispose()
        {
            AppDomain.Unload(Domain);
        }

        public TempAppDomain(AppDomain domain)
        {
            this.domain = domain;
        }

        public System.AppDomain Domain
        {
            get { return this.domain; }
            set { this.domain = value; }
        }
    }
}
